/*************************************************************************/
/*************************************************************************/
/*                                                                       */
/*  File Name : AirChromosomes.h                                         */
/*                                                                       */
/*       Date : May, 1997                                                */
/* Updated at : December 6, 1997                                         */
/*                                                                       */
/*     Author : H. Timucin OZDEMIR                                       */
/*                                                                       */
/*************************************************************************/
/*
   Chromosome definition for the Airline Schedule
*/
/*************************************************************************/

#ifndef _AirChromosomes_h
#define _AirChromosomes_h

#include <iostream.h>
#include <Chromosomes.h>
#include <FitnessValue.h>
#include <FitnessValueBag.h>
#include "AirScheduleSolu2.h"
#include "AirScheduleProblem.h"

class AirChromosomes : public AirScheduleSolu2, public Chromosomes
{
   public:
     AirChromosomes();
     AirChromosomes(AirScheduleProblem*);
     virtual FitnessValue * getFitnessValue();
     virtual FitnessValueBag * getFitnessValueBag();
     virtual void randomInitialize(); 
     virtual void printOn(ostream&) const; 
     virtual similar(Chromosomes *); 
     virtual disSimilar(Chromosomes *); 
     virtual float HammingDistance(Chromosomes *); 

     operator==(const AirChromosomes&);

     virtual isEqual(const Chromosomes&);

}; // end of  AirChromosomes 

#endif
